org.jfree.report.modules.factories.report.flow

## Class GroupReadHandler

- java.lang.Object
- - org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
  - - org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
    - - org.jfree.report.modules.factories.report.flow.SectionReadHandler
      - - org.jfree.report.modules.factories.report.flow.GroupReadHandler

- All Implemented Interfaces:
    NodeReadHandler, org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

      public class GroupReadHandler
      extends SectionReadHandler

  Creation-Date: 09.04.2006, 15:37:31
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupReadHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doneParsing()` Done parsing.
    `protected Element` | `getElement()`
    `protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler` | `getHandlerForChild(java.lang.String uri, java.lang.String tagName, org.xml.sax.Attributes atts)` Returns the handler for a child element.

    - ### Methods inherited from class org.jfree.report.modules.factories.report.flow.SectionReadHandler

      `characters, configureElement, startParsing`

    - ### Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler

      `getNode, getObject, getStyle, init, isEnabled`

    - ### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

      `deriveParseParameters, endElement, getLocator, getRootHandler, getTagName, getUri, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

      `endElement, startElement`

- - ### Constructor Detail

    - #### GroupReadHandler

          public GroupReadHandler()

  - ### Method Detail

    - #### getHandlerForChild

          protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(java.lang.String uri,
                                                                                                   java.lang.String tagName,
                                                                                                   org.xml.sax.Attributes atts)
                                                                                            throws org.xml.sax.SAXException

      Returns the handler for a child element.
      Overrides:
        `getHandlerForChild` in class `SectionReadHandler`
      Parameters:
        `tagName` - the tag name.
        `atts` - the attributes.
      Returns:
        the handler or null, if the tagname is invalid.
      Throws:
        `org.xml.sax.SAXException` - if there is a parsing error.

    - #### doneParsing

          protected void doneParsing()
                              throws org.xml.sax.SAXException

      Done parsing.
      Overrides:
        `doneParsing` in class `SectionReadHandler`
      Throws:
        `org.xml.sax.SAXException` - if there is a parsing error.

    - #### getElement

          protected Element getElement()

      Overrides:
        `getElement` in class `SectionReadHandler`